Bug 733850 - firewire_ohci causes hang on resume from suspend to ram, kernel 2.6.40.3-0.fc15.x86_64
Summary: firewire_ohci causes hang on resume from suspend to ram, kernel 2.6.40.3-0.fc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 16:39 UTC by Mark Frey
Modified: 2012-06-07 11:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 11:36:54 UTC


Attachments (Terms of Use)

Description Mark Frey 2011-08-27 16:39:46 UTC
Description of problem:

Resume after suspending to ram hangs - black screen with only blinking cursor, keyboard will not respond to caps-lock key.  Worked OK on kernel 2.6.40-4.fc15.x86_64.

Have to reset or power cycle to recover.

Version-Release number of selected component (if applicable):

kernel-2.6.40.3-0.fc15.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Suspend to ram with pm-suspend or via KDE menu
2. After system suspends, hit any key on the keyboard
3. 
  
Actual results:

System spins back up, but hangs, just blinking text cursor and no response to keyboard.


Expected results:

Successful resumption from ram.


Additional info:

rmmod firewire_ohci before attempting suspension eliminates the problem, system will resume OK if firewire_ohci module is not loaded when suspended to ram.

Comment 1 Josh Boyer 2012-06-06 19:06:11 UTC
Does this still happen with 2.6.43/3.3?

Comment 2 Mark Frey 2012-06-07 00:28:38 UTC
(In reply to comment #1)
> Does this still happen with 2.6.43/3.3?

Doesn't seem to be an issue now - I'm on 2.6.43.5-2.fc15.x86_64.

Mark.

Comment 3 Josh Boyer 2012-06-07 11:36:54 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.